> ## Documentation Index
> Fetch the complete documentation index at: https://checklyhq.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List details for a runtime

> Shows the details of all included NPM packages and their version for one specific runtime



## OpenAPI

````yaml get /v1/runtimes/{id}
openapi: 3.0.0
info:
  title: Checkly Public API
  version: v1
  description: >-
    These are the docs for the newly released Checkly Public API. If you have
    any questions, please do not hesitate to get in touch with us.
servers:
  - url: https://api.checklyhq.com
security:
  - Bearer: []
tags: []
paths:
  /v1/runtimes/{id}:
    get:
      tags:
        - Runtimes
      summary: Shows details for one specific runtime
      description: >-
        Shows the details of all included NPM packages and their version for one
        specific runtime
      operationId: getV1RuntimesId
      parameters:
        - name: x-checkly-account
          in: header
          schema:
            type: string
            description: >-
              Your Checkly account ID, you can find it at
              https://app.checklyhq.com/settings/account/general
            x-format:
              guid: true
          description: >-
            Your Checkly account ID, you can find it at
            https://app.checklyhq.com/settings/account/general
        - name: id
          in: path
          schema:
            type: string
          required: true
      responses:
        '200':
          description: Successful
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Runtime'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotFoundError'
        '429':
          description: Too Many Requests
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TooManyRequestsError'
components:
  schemas:
    Runtime:
      type: object
      properties:
        name:
          type: string
          description: The unique name of this runtime.
          example: '2026.04'
        multiStepSupport:
          type: boolean
          description: Does this runtime supports multi step checks
        nodeJsVersion:
          type: string
          description: The full Node.js version available in this runtime.
          example: v18.20.3
        stage:
          $ref: '#/components/schemas/stage'
        runtimeEndOfLife:
          type: string
          description: Date which a runtime will be removed from our platform.
          example: 12/31/2022
        description:
          type: string
          description: >-
            A short, human readable description of the main updates in this
            runtime.
          example: Main updates are Playwright 1.58.2
        dependencies:
          $ref: '#/components/schemas/DependenciesList'
      required:
        - name
        - multiStepSupport
        - nodeJsVersion
        - dependencies
    NotFoundError:
      type: object
      properties:
        statusCode:
          type: number
          enum:
            - 404
        error:
          $ref: '#/components/schemas/Model3'
        message:
          type: string
          example: Not Found
      required:
        - statusCode
        - error
    TooManyRequestsError:
      type: object
      properties:
        statusCode:
          type: number
          enum:
            - 429
        error:
          $ref: '#/components/schemas/Model2'
        message:
          type: string
          example: Too Many Requests
        attributes:
          $ref: '#/components/schemas/attributes'
      required:
        - statusCode
        - error
    stage:
      type: string
      description: Current life stage of a runtime.
      example: STABLE
      enum:
        - ALPHA
        - BETA
        - CURRENT
        - DEPRECATED
        - REMOVED
        - STABLE
    DependenciesList:
      type: object
      description: >-
        An object with all dependency package names and versions as in a
        standard package.json.
      example:
        '@playwright/test': 1.58.2
        '@axe-core/playwright': 4.11.1
        '@azure/identity': 4.13.0
        '@azure/keyvault-secrets': 4.10.0
        '@checkly/playwright-helpers': 1.0.4
        '@clerk/testing': 1.14.2
        '@faker-js/faker': 10.3.0
        '@google-cloud/local-auth': 3.0.1
        '@kubernetes/client-node': 1.4.0
        '@opentelemetry/api': 1.9.0
        '@opentelemetry/exporter-metrics-otlp-grpc': 0.212.0
        '@opentelemetry/sdk-metrics': 2.5.1
        '@opentelemetry/sdk-trace-base': 2.5.1
        '@t3-oss/env-nextjs': 0.7.3
        '@xmldom/xmldom': 0.9.8
        aws4: 1.13.2
        axios: 1.13.5
        axios-cookiejar-support: 5.0.5
        crypto-js: 4.2.0
        csv-parse: 6.1.0
        date-fns: 4.1.0
        date-fns-tz: 3.2.0
        dotenv: 17.3.1
        ethers: 6.16.0
        expect: 30.2.0
        form-data: 4.0.5
        gaxios: 7.1.3
        gmail-api-parse-message-ts: 2.2.33
        google-auth-library: 10.6.1
        googleapis: 171.4.0
        graphql: 16.13.0
        graphql-tag: 2.12.6
        http: 24.13.1
        https: 24.13.1
        imapflow: 1.2.10
        jose: 6.1.3
        jsonwebtoken: 9.0.3
        lodash: 4.17.23
        long: 5.3.2
        mailosaur: 11.0.2
        moment: 2.30.1
        mysql: 2.18.1
        mysql2: 3.18.2
        nice-grpc: 2.1.14
        nice-grpc-client-middleware-deadline: 2.0.17
        nice-grpc-client-middleware-devtools: 1.0.9
        nice-grpc-client-middleware-retry: 3.1.13
        nice-grpc-common: 2.0.2
        nice-grpc-error-details: 0.2.12
        nice-grpc-opentelemetry: 0.1.20
        nice-grpc-prometheus: 0.2.9
        nice-grpc-server-health: 2.0.17
        nice-grpc-server-middleware-terminator: 2.0.16
        nice-grpc-server-reflection: 3.0.3
        nice-grpc-web: 3.3.9
        node-pop3: 0.11.0
        otpauth: 9.5.0
        pdf-parse: 1.1.1
        pdf2json: 4.0.2
        playwright: 1.58.2
        prisma: 7.4.1
        protobufjs: 8.0.0
        tedious: 19.2.1
        tough-cookie: 6.0.0
        twilio: 5.12.2
        uuid: 11.1.0
        winston: 3.19.0
        ws: 8.19.0
        xml-crypto: 6.1.2
        xml-encryption: 3.1.0
        zod: 3.24.3
    Model3:
      type: string
      enum:
        - Not Found
    Model2:
      type: string
      enum:
        - Too Many Requests
    attributes:
      type: object
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer
      bearerFormat: Bearer
      description: >-
        The Checkly Public API uses API keys to authenticate requests. You can
        get the API Key
        [here](https://app.checklyhq.com/settings/user/api-keys). Your API key
        is like a password:  keep it secure!

        Authentication to the API is performed using the Bearer auth method in
        the Authorization header and using the account ID.

        For example, set **Authorization** header while using cURL: `curl -H
        "Authorization: Bearer [apiKey]" "X-Checkly-Account: [accountId]"` 

````